function [fildat] = ImportGROWTHfil(filfilename)
%ImportGROWTHfil: Imports GROWTH "fil" residual file 
%
% usage: [fildat] = ImportGROWTHfil(filfilename)
%
% inputs: filfilename = (string) filename or full path for the fil.dat file
%              e.g., 'fil.dat'
%
% outputs: fildat = (array) Matlab data array with the following columns:
%                   x,y,regional trend,observed?,modeled?, residuals,weight
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Written by Patricia M., June 3, 2020
% Major edits log:
% None yet!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fid1=fopen(filfilename,'r+');
fildat=fscanf(fid1,'%f',[7 inf])';
%x,y,regional trend,observed?,modeled?, residuals,weight
fclose(fid1);
end

