function [gradat] = ImportGROWTHgra(grafilename)
%ImportGROWTHgra: Imports GROWTH "gra" input gravity data file 
%
% usage: [gradata] = ImportGROWTHgra(grafilename)
%
% inputs: grafilename = (string) filename or full path for the gra.dat file
%              e.g., 'gra.dat'
%
% outputs: gradat = (array) Matlab data array with the following columns:
%                   x-coordinate (m), y-coordinate (m), altitude (m),
%                   gravity anomaly (mGal), gravity error (mGal), 
%                   terrain correction (mGal)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Written by Patricia M., June 3, 2020
% Major edits log:
% July 2, 2020: Changed import to be 6 wide instead of 7 wide.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fid1=fopen(grafilename,'r+');
gradat=fscanf(fid1,'%f',[6 inf])';
fclose(fid1);
end

