function WriteGROWTHgra(gradat,outfile)
%WriteGROWTHgra: writes data to a GROWTH file
%
% Inputs: gradat = (array) Matlab data array with the following columns:
%                   x-coordinate (m), y-coordinate (m), altitude (m),
%                   gravity anomaly (mGal), gravity error (mGal), 
%                   terrain correction (mGal)
%         outfile = (string) output filename for the GROWTH file.  Include
%                   .dat file extension (e.g., foo.dat)
%
% Outputs: foo.dat formatted for input in the GROWTH gravity inversion
%          software
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Written by Patricia M., August 26, 2020
% Major edits log:
% None yet!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fid=fopen(outfile,'w+');
if sum (gradat(end,:)==0)% make sure last line is properly formatted
    fprintf(fid,'%#.6g %#.7g  %#7.2f  %#8.6g   %#.2g   %#.4g\r\n',...
        gradat(1:end-1,:)');
else
    fprintf(fid,'%#.6g %#.7g  %#7.2f  %#8.6g   %#.2g   %#.4g\r\n',...
        gradat');
end
fprintf(fid,'0 0 0 0 0 0');
fclose(fid);
end

